weka.classifiers.trees.ht

## Class GiniSplitMetric

- java.lang.Object
- - weka.classifiers.trees.ht.SplitMetric
  - - weka.classifiers.trees.ht.GiniSplitMetric

- All Implemented Interfaces:
    java.io.Serializable

      public class GiniSplitMetric
      extends SplitMetric
      implements java.io.Serializable

  Implements the gini splitting criterion
  Version:
    $Revision: 9720 $
  Author:
    Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GiniSplitMetric()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `evaluateSplit(java.util.Map<java.lang.String,WeightMass> preDist, java.util.List<java.util.Map<java.lang.String,WeightMass>> postDist)` Evaluate the merit of a split
    `double` | `getMetricRange(java.util.Map<java.lang.String,WeightMass> preDist)` Get the range of the splitting metric
    `static double` | `gini(java.util.Map<java.lang.String,WeightMass> dist)` Return the gini metric computed from the supplied distribution

    - ### Methods inherited from class weka.classifiers.trees.ht.SplitMetric

      `sum`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GiniSplitMetric

          public GiniSplitMetric()

  - ### Method Detail

    - #### evaluateSplit

          public double evaluateSplit(java.util.Map<java.lang.String,WeightMass> preDist,
                                      java.util.List<java.util.Map<java.lang.String,WeightMass>> postDist)

      Description copied from class: `SplitMetric`
      Evaluate the merit of a split
      Specified by:
        `evaluateSplit` in class `SplitMetric`
      Parameters:
        `preDist` - the class distribution before the split
        `postDist` - the class distributions after the split
      Returns:
        the merit of the split

    - #### gini

          public static double gini(java.util.Map<java.lang.String,WeightMass> dist)

      Return the gini metric computed from the supplied distribution
      Parameters:
        `dist` - dist the distribution to compute the gini metric from
      Returns:

    - #### getMetricRange

          public double getMetricRange(java.util.Map<java.lang.String,WeightMass> preDist)

      Description copied from class: `SplitMetric`
      Get the range of the splitting metric
      Specified by:
        `getMetricRange` in class `SplitMetric`
      Parameters:
        `preDist` - the pre-split class distribution
      Returns:
        the range of the splitting metric